<!-- realblog articles form -->
<div class="realblog_articles_form">
    <h1>Realblog – <?php echo $this->text('story_overview')?></h1>
    <form method="get" action="<?php echo $this->actionUrl?>">
        <input type="hidden" name="selected" value="realblog">
        <input type="hidden" name="admin" value="plugin_main">
        <table class="realblog_table">
            <thead>
                <tr>
                    <th colspan="3">
                        <button name="action" value="plugin_text" title="<?php echo $this->text('tooltip_refresh')?>">
                            <img src="<?php echo $this->imageFolder?>refresh.png" alt="<?php echo $this->text('tooltip_refresh')?>">
                        </button>
                        <button name="action" value="delete_selected" title="<?php echo $this->text('tooltip_delete_selected')?>">
                            <img src="<?php echo $this->imageFolder?>delete-selected.png" alt="<?php echo $this->text('tooltip_delete_selected')?>">
                        </button>
                        <button name="action" value="change_status" title="<?php echo $this->text('tooltip_change_status')?>">
                            <img src="<?php echo $this->imageFolder?>change-status.png" alt="<?php echo $this->text('tooltip_change_status')?>">
                        </button>
                        <button name="action" value="create" title="<?php echo $this->text('tooltip_create')?>">
                            <img src="<?php echo $this->imageFolder?>create.png" alt="<?$this->text('tooltip_create')?>">
                        </button>
                    </th>
                    <th><?php echo $this->text('id_label')?></th>
                    <th><?php echo $this->text('date_label')?></th>
                    <th><?php echo $this->text('label_status')?></th>
                    <th><?php echo $this->text('label_rss')?></th>
                    <th><?php echo $this->text('comments_onoff')?></th>
                </tr>
            </thead>
            <tbody>
<?php foreach ($this->articles as $article):?>
                <tr>
                    <td>
                        <input type="checkbox" name="realblog_ids[]" value="<?php echo $this->escape($article->id)?>">
                    </td>
                    <td>
                        <a href="<?php echo $this->deleteUrl($article)?>">
                            <img src="<?php echo $this->imageFolder?>delete.png" title="<?php echo $this->text('tooltip_delete')?>" alt="<?php echo $this->text('tooltip_delete')?>">
                        </a>
                    </td>
                    <td class="realblog_table_line">
                        <a href="<?php echo $this->editUrl($article)?>">
                            <img src="<?php echo $this->imageFolder?>edit.png" title="<?php echo $this->text('tooltip_edit')?>" alt="<?php echo $this->text('tooltip_edit')?>">
                        </a>
                    </td>
                    <td><?php echo $this->escape($article->id)?></td>
                    <td><?php echo $this->formatDate($article)?></td>
                    <td><?php echo $this->escape($article->status)?></td>
                    <td><?php echo $this->escape($article->feedable)?></td>
                    <td><?php echo $this->escape($article->commentable)?></td>
                </tr>
                <tr>
                    <td colspan="5" class="realblog_table_title"><?php echo $this->escape($article->title)?></td>
                    <td colspan="3" class="realblog_table_categories"><?php echo $this->escape($article->categories)?></td>
                </tr>
<?php endforeach?>
            </tbody>
            <tfoot>
                <tr>
                    <td colspan="8">
<?php foreach ($this->states as $i => $status):?>
                        <input type="hidden" name="realblog_filter<?php echo $i?>" value="">
                        <label>
                            <input type="checkbox" name="realblog_filter<?php echo $i?>" <?php if ($this->hasFilter($i)) echo 'checked'?>>
                            <?php echo $this->text($status)?>
                        </label>
<?php endforeach?>
                        <button title="<?php echo $this->text('tooltip_filter')?>">
                            <img src="<?php echo $this->imageFolder?>filter.png" alt="<?php echo $this->text('tooltip_filter')?>">
                        </button>
                    </td>
                </tr>
                <tr>
                    <td colspan="8">
                        <input type="text" name="realblog_page" value="<?php echo $this->page?>" size="2">
                        / <?php echo $this->lastPage?>
                        <button name="realblog_page" value="1" title="<?php echo $this->text('tooltip_first')?>">
                            <img src="<?php echo $this->imageFolder?>first.png" alt="<?php echo $this->text('tooltip_first')?>">
                        </button>
                        <button name="realblog_page" value="<?php echo $this->prevPage?>" title="<?php echo $this->text('tooltip_previous')?>">
                            <img src="<?php echo $this->imageFolder?>prev.png" alt="<?php echo $this->text('tooltip_previous')?>">
                        </button>
                        <button name="realblog_page" value="<?php echo $this->nextPage?>" title="<?php echo $this->text('tooltip_next')?>">
                            <img src="<?php echo $this->imageFolder?>next.png" alt="<?php echo $this->text('tooltip_next')?>">
                        </button>
                        <button name="realblog_page" value="<?php echo $this->lastPage?>" title="<?php echo $this->text('tooltip_last')?>">
                            <img src="<?php echo $this->imageFolder?>last.png" alt="<?php echo $this->text('tooltip_last')?>">
                        </button>
                    </td>
                </tr>
            </tfoot>
        </table>
    </form>
</div>
